/* L'arrière-plan sombre */
.modal-overlay {
    display: none;
    position: fixed;
    top: 0; left: 0;
    width: 100%; height: 100%;
    background: rgba(0, 0, 0, 0.7);
    backdrop-filter: blur(4px); /* Floute l'arrière-plan */
    z-index: 9999;
    justify-content: center;
    align-items: center;
}

/* La boîte de dialogue */
.modal-box {
    position: relative;
    background: white;
    padding: 30px;
    border-radius: 15px;
    text-align: center;
    box-shadow: 0 10px 25px rgba(0,0,0,0.2);
    max-width: 800px;
    animation: popIn 0.3s ease-out;
    
}

.modal-box p{
    color: rgb(15, 15, 15);
}

.icon-timer { font-size: 50px; margin-bottom: 10px; }

#chronoPopup button {
    background: #ff4757;
    color: white;
    border: none;
    padding: 10px 25px;
    border-radius: 5px;
    cursor: pointer;
    font-weight: bold;
}

@keyframes popIn {
    from { transform: scale(0.8); opacity: 0; }
    to { transform: scale(1); opacity: 1; }
}